summaryrefslogtreecommitdiffstats
path: root/source.local/ap/acct
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/ap/acct
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/ap/acct')
-rwxr-xr-xsource.local/ap/acct/acct.SlackBuild170
-rw-r--r--source.local/ap/acct/acct.logdir.fhs.diff.gzbin0 -> 320 bytes
-rw-r--r--source.local/ap/acct/slack-desc19
3 files changed, 189 insertions, 0 deletions
diff --git a/source.local/ap/acct/acct.SlackBuild b/source.local/ap/acct/acct.SlackBuild
new file mode 100755
index 0000000..1c46af2
--- /dev/null
+++ b/source.local/ap/acct/acct.SlackBuild
@@ -0,0 +1,170 @@
+#!/bin/sh
+# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=acct
+PKGVER=6.5.4
+VERSION=6.5.4
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+ case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-acct
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf ${PKGNAM}-$PKGVER
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+cd ${PKGNAM}-$PKGVER || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/acct.logdir.fhs.diff.gz | patch -p1 || exit 1
+# Need this after patching configure.ac:
+autoreconf
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix= \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-linux-multiformat \
+ --build=$TARGET
+
+# Build and install:
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# The sysvinit package already installs a "last" program, so
+# rename this one:
+mv $PKG/bin/last $PKG/bin/last-acct
+
+# I know this man page still says "last" in it, but presumably
+# anyone who uses "man last-acct" knows enough that this will
+# not spook them:
+mv $PKG/usr/man/man1/last.1 $PKG//usr/man/man1/last-acct.1
+
+# Put some binaries in the location where they have traditionally
+# been installed:
+mkdir -p $PKG/usr/bin
+mv $PKG/bin/{ac,last-acct,lastcomm} $PKG/usr/bin
+mv $PKG/sbin/sa $PKG/usr/bin
+mkdir -p $PKG/usr/sbin
+mv $PKG/sbin/dump* $PKG/usr/sbin
+
+# A couple of manpages are not automatically installed:
+cp -a debian/manpage/*.8 $PKG/usr/man/man8
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/acct-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/ap/acct/acct.logdir.fhs.diff.gz b/source.local/ap/acct/acct.logdir.fhs.diff.gz
new file mode 100644
index 0000000..2dfc9c5
--- /dev/null
+++ b/source.local/ap/acct/acct.logdir.fhs.diff.gz
Binary files differ
diff --git a/source.local/ap/acct/slack-desc b/source.local/ap/acct/slack-desc
new file mode 100644
index 0000000..6cffcfc
--- /dev/null
+++ b/source.local/ap/acct/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+acct: acct (process accounting utilities)
+acct:
+acct: This is a set of utilities which reports and summarizes data about
+acct: user connect times and process execution statistics. To activate
+acct: process accounting, create the log file (touch /var/log/pacct), and
+acct: then use the accton command to start it (accton /var/log/pacct).
+acct: Be aware that the log file can grow to be quite large.
+acct:
+acct: The GNU process accounting utilities were written by Noel Cragg and
+acct: the software is currently maintained by Ciaran O'Riordan,
+acct: Manuel A. Fernandez Montecelo, and Tim Schmielau.